public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
From: "Fabio M. Di Nitto" <fabbione@fedoraproject.org>
To: cluster-cvs-relay@redhat.com
Subject: cluster: STABLE3 - cman init: implement groupd protocol negotiation check
Date: Tue, 31 Mar 2009 07:19:00 -0000	[thread overview]
Message-ID: <20090331071910.B26D9120358@lists.fedorahosted.org> (raw)

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=c685efb1ca60e907f1a1d36ba371ed8241c1586e
Commit:        c685efb1ca60e907f1a1d36ba371ed8241c1586e
Parent:        f2403d0b27b164f575af8edcfd52ffe097d17e97
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Tue Mar 31 09:17:58 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Tue Mar 31 09:17:58 2009 +0200

cman init: implement groupd protocol negotiation check

as discussed with David, wait for groupd to negotiate the compat protocol.

this check is non-fatal but could be very informative when running
in full log for debugging.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 3324268..5105173 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -490,7 +490,21 @@ stop_qdiskd()
 
 start_groupd()
 {
-	start_daemon groupd
+	start_daemon groupd || return 1
+
+	if [ "$INITLOGLEVEL" = "full" ]; then
+		ok
+		echo -n "   Waiting groupd protocol negotiation: "
+	fi
+	retries=0
+	while group_tool ls | \
+		grep -q pending && [ $retries -lt 10 ]; do
+		sleep 1
+		if [ "$INITLOGLEVEL" = "full" ]; then
+			echo -n "$retries "
+		fi
+		((retries++))
+	done
 }
 
 stop_groupd()


                 reply	other threads:[~2009-03-31  7:19 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20090331071910.B26D9120358@lists.fedorahosted.org \
    --to=fabbione@fedoraproject.org \
    --cc=cluster-cvs-relay@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).